Loading...
Searching...
No Matches
omallocClass Class Reference

`#include <omallocClass.h>`

## Public Member Functions

void * | operator new (size_t size) throw (std::bad_alloc)
void | operator delete (void *block) throw ()
void * | operator new[] (size_t size) throw (std::bad_alloc)
void | operator delete[] (void *block) throw ()
void * | operator new (size_t size, const std::nothrow_t &) throw ()
void * | operator new[] (size_t size, const std::nothrow_t &) throw ()

## Detailed Description

Definition at line 19 of file omallocClass.h.

## Member Function Documentation

## operator delete()

void omallocClass::operator delete | ( | void * | block | ) |
throw | ( | ) |  |  |

inline

Definition at line 34 of file omallocClass.h.

{
omFree( block );
}
omFree
#define omFree(addr)
Definition omAllocDecl.h:261
block
#define block
Definition scanner.cc:646

## operator delete[]()

void omallocClass::operator delete[] | ( | void * | block | ) |
throw | ( | ) |  |  |

inline

Definition at line 54 of file omallocClass.h.

{
omfree( block );
}
omfree
#define omfree(addr)
Definition omAllocDecl.h:237

## operator new() [1/2]

void * omallocClass::operator new | ( | size_t | size | ) |
throw | ( | std::bad_alloc ) |  |  |

inline

Definition at line 24 of file omallocClass.h.

{
void* addr;
omTypeAlloc(void*, addr, size);
return addr;
}
size
int size(const CanonicalForm &f, const Variable &v)
int size ( const CanonicalForm & f, const Variable & v )
Definition cf_ops.cc:600
omTypeAlloc
#define omTypeAlloc(type, addr, size)
Definition omAllocDecl.h:208

## operator new() [2/2]

void * omallocClass::operator new | ( | size_t | size,
|  | const std::nothrow_t & | )
throw | ( | ) |  |  |

Definition at line 34 of file omallocClass.cc.

{
void* addr;
omTypeAlloc(void*, addr, size);
return addr;
}

## operator new[]() [1/2]

void * omallocClass::operator new[] | ( | size_t | size | ) |
throw | ( | std::bad_alloc ) |  |  |

inline

Definition at line 43 of file omallocClass.h.

{
void* addr;
if (size==(size_t)0) size = (size_t)1;
omTypeAlloc(void*, addr, size);
return addr;
}

## operator new[]() [2/2]

void * omallocClass::operator new[] | ( | size_t | size,
|  | const std::nothrow_t & | )
throw | ( | ) |  |  |

Definition at line 41 of file omallocClass.cc.

{
void* addr;
if (size==(size_t)0) size = (size_t)1;
omTypeAlloc(void*, addr, size);
return addr;
}

The documentation for this class was generated from the following files:

- omalloc/omallocClass.h
- omalloc/omallocClass.cc